Summary:	KDE frontend for the omnibook kernel module
Name:		komnibook
Version:	1.5
Release:	%mkrel 2
URL:		http://sourceforge.net/projects/omke/
License:	GPL
Group:		Monitoring
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	kdelibs >= 3.1
BuildRequires:	kdelibs-devel >= 3.1

%description
KDE frontend for the omnibook kernel module that would stay
in the tray and display/set status information.
To be able to use this application, you need to use the
kernel-tmb kernel from Mandriva Linux contribs or add the
omnibook kernel module to your actual kernel using the sources
from sourceforge.net.

%prep
%setup -q -n %name
perl -pi -e 's|/lib\ |/%_lib\ |' Makefile

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
%makeinstall "INSTALL_PATH=%{buildroot}%{_bindir}"

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="energy.png" needs="x11" title="Komnibook" longtitle="KDE frontend for the omnibook kernel module" section="System/Monitoring" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Komnibook
Comment=KDE frontend for the omnibook kernel module
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;X-MandrivaLinux-System-Monitoring;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc COPYING
%attr(0755, root, root) %{_bindir}/%{name}
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.5-2mdv2008.1
+ Revision: 140904
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - buildrequires obsoletes buildprereq


* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 13:49:56 (56001)
- xdg menu

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 13:45:39 (55996)
Import komnibook

* Thu Dec 15 2005 Arnaud de Lorbeau <decel@mandriva.com> 1.5-1mdk
- v1.5

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.1-2mdk
- Rebuild

* Wed Apr 28 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Sun Apr 04 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.3-1mdk
- 1.3

